Subject: [tcpm] Making TCP robust against reordering - a step forward

From: "Zimmermann, Alexander" <[email-masked]>
Date: Tue, 11 Nov 2014 04:40:04 +0000

Hi all,

since the last IETF we a strong consensus that we should make TCP more
robust against packet reordering. I believe as a first step we probably
should specify how we can detected and qualify reordering w/ TCP. It
gives us the opportunity to learn more about the reordering in the wild
and, at the end, any reaction algorithm - whatever it looks like - can
benefit from a proper detection/quantification.

Moreover I also believe that draft-zimmermann-tcpm-reordering-detection
is a good starting point. We just updated the draft in that way that we
detected now also reordering > 1 RTT. I know from several people that
they are read the draft. Unfortunately, we haven’t received much comments.
So, please review the doc and make comments on the document.

Thanks
Alex